<?php

namespace App\Modules\CashMovementDetail\Application\ListForFacture;

use App\Modules\CashMovement\Domain\IdCashMovement;
use App\Modules\CashMovementDetail\Domain\CashMovementDetailRepository;

final class CashMovementDetailForFactureLister
{
    public function __construct(private CashMovementDetailRepository $repository)
    {
    }

    public function __invoke(IdCashMovement $idCashMovement, string $action)
    {
        return $this->repository->listForFacture($idCashMovement, $action);
    }
}
